<?php
/**
 * Library module
 * 
 * Provide access to the Filemanager
 * 
 * @package linea21\core\library
 * @author $Author$ - Simon Georget <simon@linea21.com>
 * @version $Id$ 
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

include('../config/define.php');
session_start();

include('../languages/'.U_L. '/lang_library.'.CHARSET.'.php');

//////////// Check Inclusion de pages ////////////
if (!isset($_SESSION['authenticated'])) {
  include_once("../lib/lib_common.php");
  ReloadIndex('admin');
}
////////////

// if ckfinder is active
if(defined('CKFINDER_ENABLED') && CKFINDER_ENABLED == true) {

  require_once('../lib/vendor/ckfinder/ckfinder.php');
  $finder = new CKFinder();
  $finder->BasePath = '../lib/vendor/ckfinder/';
  $finder->SelectFunction = 'ShowFileInfo';
  $finder->Height = '100%';
  $finder->Create();

} else {
  // we include the default basic shared Library
  require_once('default_access.php');
}
?>